import { PersonalizationAction, PersonalizationConditionNode, PersonalizationRule } from "../../types";
export declare function createId(): string;
export declare function createRule(name?: string): PersonalizationRule;
export declare function createLeafCondition(definitionItemId: string): PersonalizationConditionNode;
export declare function createCompositeCondition(op: "and" | "or" | "not", children?: PersonalizationConditionNode[]): PersonalizationConditionNode;
export declare function createAction(definitionItemId: string): PersonalizationAction;
